Upload a validated contiguous batch of remote agent events
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocolVersion: 1,
environmentId: '<string>',
runId: '<string>',
events: [
{
protocolVersion: 1,
eventId: '<string>',
environmentId: '<string>',
runId: '<string>',
sourceSequence: 1,
occurredAt: 1,
type: 'session_started',
payload: {remoteSessionId: '<string>', adapterId: '<string>'}
}
]
})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocolVersion: 1,
environmentId: '<string>',
runId: '<string>',
events: [
{
protocolVersion: 1,
eventId: '<string>',
environmentId: '<string>',
runId: '<string>',
sourceSequence: 1,
occurredAt: 1,
type: 'session_started',
payload: {remoteSessionId: '<string>', adapterId: '<string>'}
}
]
})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/agent-environments/{environmentId}/events \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"protocolVersion": 1,
"environmentId": "<string>",
"runId": "<string>",
"events": [
{
"protocolVersion": 1,
"eventId": "<string>",
"environmentId": "<string>",
"runId": "<string>",
"sourceSequence": 1,
"occurredAt": 1,
"type": "session_started",
"payload": {
"remoteSessionId": "<string>",
"adapterId": "<string>"
}
}
]
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Agent environments
Upload a validated contiguous batch of remote agent events
POST
/
api
/
v1
/
agent-environments
/
{environmentId}
/
events
Upload a validated contiguous batch of remote agent events
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocolVersion: 1,
environmentId: '<string>',
runId: '<string>',
events: [
{
protocolVersion: 1,
eventId: '<string>',
environmentId: '<string>',
runId: '<string>',
sourceSequence: 1,
occurredAt: 1,
type: 'session_started',
payload: {remoteSessionId: '<string>', adapterId: '<string>'}
}
]
})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocolVersion: 1,
environmentId: '<string>',
runId: '<string>',
events: [
{
protocolVersion: 1,
eventId: '<string>',
environmentId: '<string>',
runId: '<string>',
sourceSequence: 1,
occurredAt: 1,
type: 'session_started',
payload: {remoteSessionId: '<string>', adapterId: '<string>'}
}
]
})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/agent-environments/{environmentId}/events \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"protocolVersion": 1,
"environmentId": "<string>",
"runId": "<string>",
"events": [
{
"protocolVersion": 1,
"eventId": "<string>",
"environmentId": "<string>",
"runId": "<string>",
"sourceSequence": 1,
"occurredAt": 1,
"type": "session_started",
"payload": {
"remoteSessionId": "<string>",
"adapterId": "<string>"
}
}
]
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Path Parameters
Body
application/json
Available options:
1 Required string length:
1 - 200Required string length:
1 - 200Required array length:
1 - 100 elements- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
Show child attributes
Show child attributes
Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.